package doctor.service;

import doctor.common.core.domain.HealthR;
import doctor.domain.dto.ApplyJoinDto;
import doctor.domain.entity.DoctorJobTitleEntity;
import doctor.domain.vo.DoctorVo;
import doctor.domain.vo.FindImagePicVo;
import io.swagger.models.auth.In;
import org.springframework.web.multipart.MultipartFile;

import java.util.List;

public interface HealthJobTitleService {
    List<DoctorJobTitleEntity> findJobTitleList();

    HealthR sendEmailCode(String email);

    HealthR applyJoin(ApplyJoinDto applyJoinDto);

    DoctorVo findDoctorById(Integer doctorId);

    List<FindImagePicVo> findSystemImagePic();

    HealthR uploadImagePic(MultipartFile imagePic, Integer doctorId, String sessionId);
}
